#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
CYAN='\033[1;36m'
BLINK='\033[5m'

status=$(ls -l /home/user/MyDocs/.DEBCREATOR | grep ^d | wc -l)
if [[ $status == "0" ]]; then
echo ""
echo -e "${RED}You don't have packages here!\n\nExiting...${NORMAL}"
sleep 3 && exit 0
else
if [ ! -f /home/user/MyDocs/Documents/N9_DEBpackager_EN.pdf ] && [ ! -f /home/user/MyDocs/Documents/N9_DEBpackager_RU.pdf ]
   then
   echo "Choose PDF instruction..."
   echo ""
    echo " ---------------------------------------------"
    echo -e "|          ${CYAN}DEB packager instruction${NORMAL}           |"
    echo " ---------------------------------------------"
    echo -e "| ${YELLOW}A: English PDF instruction${NORMAL}                  |"
    echo -e "| ${YELLOW}B: Russian  PDF instruction${NORMAL}                 |"
    echo -e "| ${YELLOW}C: Both PDF instructions${NORMAL}                    |"
    echo " ---------------------------------------------"
    echo "For Exit, just press Enter..."
    echo ""
    echo "After applying you will find PDF file in your:"
    echo -e "${CYAN}/home/user/MyDocs/Documents${NORMAL}"
    echo ""
    	read -p "Choose a letter: " ANS
		case $ANS in
a|A) cp -f /opt/dpkgcreator/N9_DEBpackager_EN.pdf /home/user/MyDocs/Documents
     echo ""
     echo -e "${YELLOW}PDF instruction copied...${NORMAL}" ;;
b|B) cp -f /opt/dpkgcreator/N9_DEBpackager_RU.pdf /home/user/MyDocs/Documents
     echo ""
     echo -e "${YELLOW}PDF instruction copied...${NORMAL}" ;;
c|C) cp -f /opt/dpkgcreator/N9_DEBpackager* /home/user/MyDocs/Documents
     echo ""
     echo -e "${YELLOW}PDF instructions copied...${NORMAL}" ;;
	* ) echo -e "\n${YELLOW}Continue to menu...${NORMAL}"
		esac
      echo ""
fi
if [ -d /opt/DEBCREATOR ]; then
rm -rf /opt/DEBCREATOR
fi
packname1=$(ls -l /home/user/MyDocs/.DEBCREATOR | grep '^d' | awk '{print $9}' | sed -n 1p)
packname2=$(ls -l /home/user/MyDocs/.DEBCREATOR | grep '^d' | awk '{print $9}' | sed -n 2p)
packname3=$(ls -l /home/user/MyDocs/.DEBCREATOR | grep '^d' | awk '{print $9}' | sed -n 3p)
packname4=$(ls -l /home/user/MyDocs/.DEBCREATOR | grep '^d' | awk '{print $9}' | sed -n 4p)
packname5=$(ls -l /home/user/MyDocs/.DEBCREATOR | grep '^d' | awk '{print $9}' | sed -n 5p)

    echo " ---------------------------------------------"
    echo -e "|          ${CYAN}DEB packages creator v0.1.1${NORMAL}        |"
    echo " ---------------------------------------------"
    echo -e "           *** Create packages ***             "
    echo "                                             "
    echo -e " 1. \"${YELLOW}$packname1${NORMAL}\""
if [[ $packname2 == "" ]]; then
:
else
    echo -e " 2. \"${YELLOW}$packname2${NORMAL}\""
fi
if [[ $packname3 == "" ]]; then
:
else
    echo -e " 3. \"${YELLOW}$packname3${NORMAL}\""
fi
if [[ $packname4 == "" ]]; then
:
else
    echo -e " 4. \"${YELLOW}$packname4${NORMAL}\""
fi
if [[ $packname5 == "" ]]; then
:
else
    echo -e " 5. \"${YELLOW}$packname5${NORMAL}\""
fi
    echo "                                             "
    echo " ---------------------------------------------"
    echo "For Exit, just press Enter..."
    echo ""
    echo -e "${RED}Read PDF instruction in your ${YELLOW}Documents${RED} folder!${NORMAL}"
    echo ""
if [[ $status == "1" ]]; then
    read -p "Choose number 1: " inputline
    else
    read -p "Choose numbers separated by one space: " inputline
fi
    echo " "
   for carattere in $inputline; do
xexit()
{
	echo -e $1
	ln -sf busybox /bin/tar && rm -rf /opt/DEBCREATOR && read -p "Press Enter for exit: " end && exit $2
}
    case $carattere in
[1] ) echo -e "${YELLOW}ADD to \"${RED}digsigsums${YELLOW}\".${NORMAL}"
		echo "For Exit, just press Enter..."
		echo ""
		echo "Options:"
		echo " 1. Add only binary and executable files"
		echo " 2. Add all files automatically"
		echo ""
	read -p "Choose 1 or 2: " ANS
		echo ""
		case $ANS in
	[1] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname1\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname1" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname1 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname1/$packname1.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname1/rules ]; then
    mv -f /opt/DEBCREATOR/$packname1/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname1/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname1/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname1/$packname1.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname1/rules ]; then
    mv -f /opt/DEBCREATOR/$packname1/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname1/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname1/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname1
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

echo -e "${YELLOW}Files will be added to ${RED}digsigsums:${NORMAL}"
echo ""
grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' >> ../binary
status=$(sed -n 1p /opt/DEBCREATOR/binary)
if [[ $status == "" ]]; then
  echo -e "${RED}No binary or executable files here...${NORMAL}"
  echo ""
  echo -e "${YELLOW}Adding existing files...${NORMAL}"
  find . -type f -follow -print | grep -v "./DEBIAN" | sed 's/.\/*.*\///g'
  sleep 2
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
 else
  cat ../binary
  echo ""
  echo -e "${YELLOW}Continue...${NORMAL}" && sleep 2
  grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- >> ../binary
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary2
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums
 fi
done < "../binary2"

while read line
do
 if [ -f "$line" ]; then
  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
fi
echo ""

if [ ! -f /opt/DEBCREATOR/$packname1.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname1/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname1 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname1/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname1/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname1 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname1.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname1
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
	[2] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname1\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname1" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname1 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname1/$packname1.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname1/rules ]; then
    mv -f /opt/DEBCREATOR/$packname1/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname1/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname1/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname1/$packname1.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname1/rules ]; then
    mv -f /opt/DEBCREATOR/$packname1/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname1/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname1/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname1/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname1/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname1/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname1 
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"

if [ ! -f /opt/DEBCREATOR/$packname1.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname1/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname1 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname1/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname1/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname1/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname1/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname1 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname1.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname1
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
			* )
		esac ;;

[2] )
if [[ $packname2 == "" ]]; then
:
else
echo -e "${YELLOW}ADD to \"${RED}digsigsums${YELLOW}\".${NORMAL}"
		echo "For Exit, just press Enter..."
		echo ""
		echo "Options:"
		echo " 1. Add only binary and executable files"
		echo " 2. Add all files automatically"
		echo ""
	read -p "Choose 1 or 2: " ANS
		echo ""
		case $ANS in
	[1] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname2\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname2" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname2 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname2/$packname2.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname2/rules ]; then
    mv -f /opt/DEBCREATOR/$packname2/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname2/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname2/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname2/$packname2.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname2/rules ]; then
    mv -f /opt/DEBCREATOR/$packname2/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname2/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname2/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname2
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

echo -e "${YELLOW}Files will be added to ${RED}digsigsums:${NORMAL}"
echo ""
grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' >> ../binary
status=$(sed -n 1p /opt/DEBCREATOR/binary)
if [[ $status == "" ]]; then
  echo -e "${RED}No binary or executable files here...${NORMAL}"
  echo ""
  echo -e "${YELLOW}Adding existing files...${NORMAL}"
  find . -type f -follow -print | grep -v "./DEBIAN" | sed 's/.\/*.*\///g'
  sleep 2
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
 else
  cat ../binary
  echo ""
  echo -e "${YELLOW}Continue...${NORMAL}" && sleep 2
  grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- >> ../binary
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary2
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums
 fi
done < "../binary2"

while read line
do
 if [ -f "$line" ]; then
  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
fi
echo ""

if [ ! -f /opt/DEBCREATOR/$packname2.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname2/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname2 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname2/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname2/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname2 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname2.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname2
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
	[2] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname2\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname2" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname2 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname2/$packname2.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname2/rules ]; then
    mv -f /opt/DEBCREATOR/$packname2/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname2/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname2/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname2/$packname2.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname2/rules ]; then
    mv -f /opt/DEBCREATOR/$packname2/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname2/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname2/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname2/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname2/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname2/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname2 
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"

if [ ! -f /opt/DEBCREATOR/$packname2.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname2/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname2 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname2/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname2/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname2/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname2/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname2 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname2.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname2
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
			* )
		esac 
fi ;;

[3] )
if [[ $packname3 == "" ]]; then
:
else
echo -e "${YELLOW}ADD to \"${RED}digsigsums${YELLOW}\".${NORMAL}"
		echo "For Exit, just press Enter..."
		echo ""
		echo "Options:"
		echo " 1. Add only binary and executable files"
		echo " 2. Add all files automatically"
		echo ""
	read -p "Choose 1 or 2: " ANS
		echo ""
		case $ANS in
	[1] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname3\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname3" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname3 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname3/$packname3.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname3/rules ]; then
    mv -f /opt/DEBCREATOR/$packname3/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname3/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname3/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname3/$packname3.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname3/rules ]; then
    mv -f /opt/DEBCREATOR/$packname3/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname3/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname3/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname3
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

echo -e "${YELLOW}Files will be added to ${RED}digsigsums:${NORMAL}"
echo ""
grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' >> ../binary
status=$(sed -n 1p /opt/DEBCREATOR/binary)
if [[ $status == "" ]]; then
  echo -e "${RED}No binary or executable files here...${NORMAL}"
  echo ""
  echo -e "${YELLOW}Adding existing files...${NORMAL}"
  find . -type f -follow -print | grep -v "./DEBIAN" | sed 's/.\/*.*\///g'
  sleep 2
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
 else
  cat ../binary
  echo ""
  echo -e "${YELLOW}Continue...${NORMAL}" && sleep 2
  grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- >> ../binary
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary2
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums
 fi
done < "../binary2"

while read line
do
 if [ -f "$line" ]; then
  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
fi
echo ""

if [ ! -f /opt/DEBCREATOR/$packname3.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname3/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname3 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname3/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname3/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname3 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname3.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname3
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
	[2] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname3\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname3" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname3 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname3/$packname3.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname3/rules ]; then
    mv -f /opt/DEBCREATOR/$packname3/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname3/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname3/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname3/$packname3.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname3/rules ]; then
    mv -f /opt/DEBCREATOR/$packname3/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname3/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname3/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname3/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname3/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname3/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname3 
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"

if [ ! -f /opt/DEBCREATOR/$packname3.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname3/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname3 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname3/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname3/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname3/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname3/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname3 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname3.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname3
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
			* )
		esac  
fi ;;

[4] )
if [[ $packname4 == "" ]]; then
:
else
echo -e "${YELLOW}ADD to \"${RED}digsigsums${YELLOW}\".${NORMAL}"
		echo "For Exit, just press Enter..."
		echo ""
		echo "Options:"
		echo " 1. Add only binary and executable files"
		echo " 2. Add all files automatically"
		echo ""
	read -p "Choose 1 or 2: " ANS
		echo ""
		case $ANS in
	[1] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname4\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname4" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname4 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname4/$packname4.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname4/rules ]; then
    mv -f /opt/DEBCREATOR/$packname4/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname4/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname4/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname4/$packname4.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname4/rules ]; then
    mv -f /opt/DEBCREATOR/$packname4/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname4/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname4/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname4
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

echo -e "${YELLOW}Files will be added to ${RED}digsigsums:${NORMAL}"
echo ""
grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' >> ../binary
status=$(sed -n 1p /opt/DEBCREATOR/binary)
if [[ $status == "" ]]; then
  echo -e "${RED}No binary or executable files here...${NORMAL}"
  echo ""
  echo -e "${YELLOW}Adding existing files...${NORMAL}"
  find . -type f -follow -print | grep -v "./DEBIAN" | sed 's/.\/*.*\///g'
  sleep 2
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
 else
  cat ../binary
  echo ""
  echo -e "${YELLOW}Continue...${NORMAL}" && sleep 2
  grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- >> ../binary
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary2
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums
 fi
done < "../binary2"

while read line
do
 if [ -f "$line" ]; then
  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
fi
echo ""

if [ ! -f /opt/DEBCREATOR/$packname4.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname4/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname4 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname4/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname4/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname4 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname4.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname4
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
	[2] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname4\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname4" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname4 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname4/$packname4.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname4/rules ]; then
    mv -f /opt/DEBCREATOR/$packname4/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname4/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname4/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname4/$packname4.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname4/rules ]; then
    mv -f /opt/DEBCREATOR/$packname4/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname4/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname4/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname4/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname4/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname4/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname4 
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"

if [ ! -f /opt/DEBCREATOR/$packname4.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname4/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname4 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname4/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname4/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname4/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname4/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname4 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname4.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname4
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
			* )
		esac
fi ;;

[5] ) 
if [[ $packname5 == "" ]]; then
:
else
echo -e "${YELLOW}ADD to \"${RED}digsigsums${YELLOW}\".${NORMAL}"
		echo "For Exit, just press Enter..."
		echo ""
		echo "Options:"
		echo " 1. Add only binary and executable files"
		echo " 2. Add all files automatically"
		echo ""
	read -p "Choose 1 or 2: " ANS
		echo ""
		case $ANS in
	[1] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname5\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname5" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname5 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname5/$packname5.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname5/rules ]; then
    mv -f /opt/DEBCREATOR/$packname5/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname5/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname5/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname5/$packname5.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname5/rules ]; then
    mv -f /opt/DEBCREATOR/$packname5/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname5/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname5/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname5
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

echo -e "${YELLOW}Files will be added to ${RED}digsigsums:${NORMAL}"
echo ""
grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | sed 's/.\/*.*\///g' >> ../binary
status=$(sed -n 1p /opt/DEBCREATOR/binary)
if [[ $status == "" ]]; then
  echo -e "${RED}No binary or executable files here...${NORMAL}"
  echo ""
  echo -e "${YELLOW}Adding existing files...${NORMAL}"
  find . -type f -follow -print | grep -v "./DEBIAN" | sed 's/.\/*.*\///g'
  sleep 2
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
 else
  cat ../binary
  echo ""
  echo -e "${YELLOW}Continue...${NORMAL}" && sleep 2
  grep -l "#!" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- > ../binary && grep -l "ELF" $(find . -type f -follow -print | grep -v "./DEBIAN") | cut -c 3- >> ../binary
  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary2
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums
 fi
done < "../binary2"

while read line
do
 if [ -f "$line" ]; then
  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"
fi
echo ""

if [ ! -f /opt/DEBCREATOR/$packname5.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname5/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname5 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname5/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname5/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname5 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname5.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname5
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
	[2] )
echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} creating ${YELLOW}\"$packname5\"${RED} package !!!${NORMAL}"
echo ""
mkdir -p /opt/DEBCREATOR && echo "$packname5" > /opt/DEBCREATOR/packagename
cp -rf /home/user/MyDocs/.DEBCREATOR/$packname5 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
if [ ! -f /opt/DEBCREATOR/$packname5/$packname5.aegis ]; then
    if [ -f /opt/DEBCREATOR/$packname5/rules ]; then
    mv -f /opt/DEBCREATOR/$packname5/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname5/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname5/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
else
mv -f /opt/DEBCREATOR/$packname5/$packname5.aegis /opt/DEBCREATOR
    if [ -f /opt/DEBCREATOR/$packname5/rules ]; then
    mv -f /opt/DEBCREATOR/$packname5/rules /opt/DEBCREATOR
    rule=$(cat /opt/DEBCREATOR/rules)
    echo "#!/bin/sh

$rule

exit 0" > /opt/DEBCREATOR/rules
    sh /opt/DEBCREATOR/rules
    fi
    if [ -f /opt/DEBCREATOR/$packname5/*.png ]; then
    mv -f /opt/DEBCREATOR/$packname5/*.png /opt/DEBCREATOR
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    image=$(grep Maemo-Icon-26 /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
      if [[ $image == "Maemo-Icon-26" ]]; then
      echo -e "${RED}Icon already added to control file.${NORMAL}"
      echo -e "${RED}Continue...\n${NORMAL}"
        else
        echo -e "${YELLOW}Adding icon to control files...${NORMAL}"
        bash /opt/dpkgcreator/converter.sh
        echo -e "${RED}DONE!\n${NORMAL}"
      fi
    else
    if [ ! -d /opt/DEBCREATOR/$packname5/DEBIAN ]; then
    mkdir -p /opt/DEBCREATOR/$packname5/DEBIAN
    bash /opt/dpkgcreator/controlfile.sh
      else
        if [ ! -f /opt/DEBCREATOR/$packname5/DEBIAN/control ]; then
        bash /opt/dpkgcreator/controlfile.sh
        fi
    fi
    fi
fi
chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
cp -f /opt/dpkgcreator/tar /bin && chmod 777 /bin/tar
cd /opt/DEBCREATOR/$packname5 
#remove old md5 and digsig sums
rm -f DEBIAN/md5sums 2>/dev/null
rm -f DEBIAN/digsigsums 2>/dev/null

  find . -type f -follow -print | grep -v "./DEBIAN" | cut -c 3- > ../binary
while read line
do
 if [ -f "$line" ]; then
  #get md5
  md5sum "$line" >> DEBIAN/md5sums

  #get sha1 for digital signatures
  echo S 15 com.nokia.maemo H 40 `sha1sum "$line" | cut -c -40` R `expr length "$line"` $line >> DEBIAN/digsigsums
 fi
done < "../binary"

if [ ! -f /opt/DEBCREATOR/$packname5.aegis ]; then
  echo -e "${RED}Aegis-Manifest is NOT exist...${NORMAL}"
  aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    echo -e "${RED}Removing Aegis-Manifest line from control file.${NORMAL}"
    sed -i '/Aegis-Manifest/d' /opt/DEBCREATOR/$packname5/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
    fi
  echo ""
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname5 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
else
    aegis=$(grep Aegis-Manifest /opt/DEBCREATOR/$packname5/DEBIAN/control | cut -d ':' -f1)
    if [[ $aegis == "Aegis-Manifest" ]]; then
    sed -i 's/Aegis-Manifest.*/Aegis-Manifest: included/g' /opt/DEBCREATOR/$packname5/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
    else
    echo -e "${RED}Adding Aegis-Manifest line to control file.\n${NORMAL}"
    sed -i 's/Maemo-Display-Name/Aegis-Manifest: included\
Maemo-Display-Name/g' /opt/DEBCREATOR/$packname5/DEBIAN/control && chmod 755 /opt/DEBCREATOR/$packname5/DEBIAN/*
    fi
  echo -e "${YELLOW}Compiling package...${NORMAL}"
  dpkg-deb -b /opt/DEBCREATOR/$packname5 /opt/DEBCREATOR || xexit "${YELLOW}Problem with your files...\n\n${RED}Exiting...${NORMAL}"
  echo -e "${YELLOW}Adding Aegis-Manifest to package...${NORMAL}"
  aegis-deb-util --add-manifest --manifest=/opt/DEBCREATOR/$packname5.aegis /opt/DEBCREATOR/*.deb || xexit "${YELLOW}Problem with your manifest...\n\n${RED}Exiting...${NORMAL}"
  echo ""
fi

cp -f /opt/DEBCREATOR/*.deb /home/user/MyDocs/.DEBCREATOR/$packname5
ln -sf busybox /bin/tar
rm -rf /opt/DEBCREATOR
     echo -e "${YELLOW}Package created...${NORMAL}"
     echo ""
     read -p "Press Enter for exit... " end;
     echo "" ;;
			* )
		esac
fi ;;

 esac
done
status=$(ls -l /bin/tar | grep -o busybox)
if [[ $status == "busybox" ]]; then
:
else
ln -sf busybox /bin/tar
fi
if [ ! -d /opt/DEBCREATOR ]; then
:
else
rm -rf /opt/DEBCREATOR
fi
echo -e "${RED}Exiting...${NORMAL}"
sleep 2
fi
