#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
CYAN='\033[1;36m'
BLINK='\033[5m'

pack=/opt/DEBCREATOR/$(sed -n 1p /opt/DEBCREATOR/packagename)
packname=$(sed -n 1p /opt/DEBCREATOR/packagename)
size=$(du -c $pack | grep total | awk '{print $1}')

echo -e "${YELLOW}Create control file for \"${RED}$packname${YELLOW}\" package${NORMAL}\n"
read -p "Insert version number: " ANS1
if [ -n "$ANS1" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS1=0.0.1
fi
echo ""
read -p "Insert Maintainer: " ANS2
if [ -n "$ANS2" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS2="It's me..."
fi
echo ""
read -p "Insert Section: " ANS3
if [ -n "$ANS3" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS3=user/other
fi
echo ""
read -p "Insert homepage: " ANS4
if [ -n "$ANS4" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS4=http://talk.maemo.org/showthread.php?t=91053
fi
echo ""
read -p "Insert Description: " ANS5
if [ -n "$ANS5" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS5="My first package created via N9 Packages creator."
fi
echo ""
read -p "Insert Display-name: " ANS6
if [ -n "$ANS6" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS6="My package"
fi

echo "Package: $packname
Version: $ANS1
Architecture: armel
Maintainer: $ANS2
Installed-Size: $size
Section: $ANS3
Priority: optional
Homepage: $ANS4
Description: $ANS5
Maemo-Display-Name: $ANS6
Maemo-Flags: visible" > $pack/DEBIAN/control
echo ""
echo -e "${YELLOW}Control file created, check it...${NORMAL}\n"
echo -en ${CYAN}
cat $pack/DEBIAN/control
echo -en ${NORMAL}
	echo ""
	read -p "Press C to change or Enter to continue: " ANS
	echo " "
	case $ANS in
	c|C )
	bash /opt/dpkgcreator/controlfile.sh ;;
	    * ) echo -e "${BLINK}${RED}DONE!${NORMAL}"
      echo ""
      echo -e "${YELLOW}Continue...${NORMAL}"
      echo ""
      exit 0
	esac
